/* 
 * File: /css/default.css
 * 
 * Description: Standard CSS style rules for BendCMS
 * Modified rules should be done in a site-specific css file that overrides this one
 * 
 * Copyright 2011-2021 Per Stenebo
 * 
 * Updates:
 * 2021-02-18: Added class lspace
 * 2019-10-06: Move right col to below main content, reducing layout width
 * 2018-01-23: Added div.sectFloat
 * 2018-01-01: Removed -moz-border-radius
 * 2017-12-31: Moved rules for mainMenu to mainMenu.css
 * 2016-12-25, Per Stenebo: Added input.dold
*/
html {
	height: 100%;
}

body {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 80%;
	margin: 0;
	background-image: url(../files/sysImages/bg_grey.jpg); /* Relative path from this file */
	background-repeat: repeat-x;
	background-color: #F0F0F0; /* IE6-fix. */
}

/* Layout with one top header row, three cols and one footer row  */
#container {
	/* All content */
	background-color: #FFFFFF;
	margin: 5px auto; /* auto gives center pos */
	padding: 5px;
	/*width: 1010px;*/
	width: 810px;
	text-align: left;
}

/* Top section */
#header {
	margin: 5px;
	text-align: center;
	background-color: #99FF99;
	border-right: 3px solid #339966;
	border-left: 1px solid #339966;
	border-top: 1px solid #339966;
	border-bottom: 3px solid #339966;
	border-radius: 5px; /* Bryter validering */
}


#headerLogo {
	/* Logotype (text) */
	color: #339966;
	font-family: Fixedsys,System,verdana,tahoma,arial,sans-serif;
	font-size: 20pt;
	font-weight: bold;

	/* Logotype (image) */
	/*float:left;
	margin-left:300px;
	margin-top: 5px;*/
}

/* Sub-top section (used for top menu) */
#subHeader {
	/* Hide element if not included in current page stack */
	display: none;
}

/* Left column for menu content */
#leftcol {
	float: left;
	width: 180px;
	margin: 5px;
	min-height: 400px;
}

/* Mid column for main content*/
#content {
	float: left;
	width: 600px;
	padding: 5px;
	/*border-color: #339966;
	border-style: solid;
	border-width: 0 0.2em;*/
	/*border:1px solid #888888;
	border-radius: 5px;*/
	min-height: 500px;
}

/* Requested content in mid column */
#requestContent {
	margin-top: 5px;
}

/* Right column, modified to float below requested page. */
#rightcol {
	/*margin-left: 805px;
	width: 200px;
	padding: 5px;
	min-height: 400px;*/
	float: left;
	margin-left: 180px;
	padding: 5px;
}

/* Footer */
#footer {
	margin-top: 20px;
	background-color: #FFFFFF;
}

div.footerCell {
	float:left;
	padding:10px;
	font-size:10px;
}

/* Exclude elements from printing */
@media print {
	#header { display: none; }
	#subHeader { display: none; }
	#leftcol { display: none; }
	#rightcol { display: none; }
	#footer { display: none; }
	.noprint { display: none; }
}

/* Rules for all links */
a {
	text-decoration:none;
}

/* Links when hovering on them */
a:hover {
	text-decoration: none;
	color: red;
}

/* Lists */
li {
	margin: 10px 0;
}

h1 {
	text-align: center;
	color: #339966; /* 339966 */
}

h2, h3, h4, h5 {
	margin-left: 30px;
	color: #900B09; /* 339966 */
}

table, tr, th, td {	
	border-collapse: collapse;
	border-style: solid;
	border-width: 1px;
	border-color: #888888;
	padding:4px;
	margin:4px;
	text-align: left;
}

th {
	text-align: center;
}

fieldset {
	margin-top:20px;
}

/* form elements */
select {
	font-size: 100%;
	width: 100px;
}

input[type="text"] {
	font-size: 100%;
	width: 70px; /* A date like 2008-09-09 should fit */
}

input[type="submit"], input[type="reset"], input[type="button"] {
	font-weight:bold;
}

input.dold {
	visibility: hidden; /* hidden / visible */
}

textarea {
	width: 500px;
	height: 100px;
}

/* Floating form fields */
div.frmfld {
	float:left;
	margin:5px;
}

/* Images */
img {
	border: 0pt none;
}

/* Form buttons */
.imagebutton {
	background:transparent none no-repeat scroll center top;
	border:0 none;
	cursor:pointer;
	cursor: hand; /* for IE 5.x */
	font-size:0;
	margin:0;
	overflow:hidden;
	width:16px;
	height:16px;
}

/* Used as content divider and before bottom div */
hr.hr1 {
	margin-top:20px;
	background-color: #66CC99;
	border: 1px solid #339966;
	height:4px;
}

/* Smaller text */
.liten {
	font-size: 11px; /* 0.8em */
	font-weight:normal;
}

/* Omringade fält, tex föreningar/företag */
.group {
	border:1px solid #888888;
	margin:5px;
	padding:5px;
	border-radius: 5px;
}

/* Other dividers */
.header-x {
	margin: 5px;
	padding:5px;
	text-align: center;
	background-color: #99FF99;
	border-right: 3px solid #339966;
	border-left: 1px solid #339966;
	border-top: 1px solid #339966;
	border-bottom: 3px solid #339966;
	border-radius: 5px;
}

.headline1 {
	background-color:#FF9900;
}

/* Style for example code and commands */
pre {
	margin:2px;
	padding:2px;
	background:#CCCCCC;
	font-family: monospace, Courier;
}

code {
	margin:2px;
	padding:2px;
	background:#CCCCCC;
	line-height:1.8em;
	font-family: monospace, Courier;
}

/* CKeditor styles */
.marker {
	margin:2px;
	padding:2px;
	background-color:#FFFF00;
	line-height:1.8em;
}

/* Floating sections */
div.sectFloat {
	float:left;
	margin:5px;
	margin-right:10px;
}

h4.left, h5.left {
	margin:5px;
}

/* Junior content */
div.juniorContent {
	color: #888888;
}

/* Default hidden and no allocated space */
.hideSection {
	display: none;
}

/* Buttons on edit content page */
.lspace {
	margin-left:15px;
}
